Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1541225 - unknown media type messages and others received during upgrade
Summary: unknown media type messages and others received during upgrade
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-desktop
Version: 28
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: KDE SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1556716 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-02 03:23 UTC by George R. Goffe
Modified: 2018-04-10 03:19 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 00:44:11 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description George R. Goffe 2018-02-02 03:23:08 UTC
Description of problem:
attempting to upgrade this system generated multiple error messages (see below).

Version-Release number of selected component (if applicable):
hugin-2017.0.0-8.fc28.x86_64

How reproducible:
always

Steps to Reproduce:
1.see below
2.
3.

Actual results:
see below

Expected results:
clean and successful system upgrade

Additional info:
dnf -y --best upgrade hugin-base.x86_64 hugin.x86_64
Last metadata expiration check: 0:16:51 ago on Thu 01 Feb 2018 06:59:51 PM PST.
Dependencies resolved.
=============================================================================================================================================
 Package                           Arch                          Version                                Repository                      Size
=============================================================================================================================================
Upgrading:
 hugin                             x86_64                        2017.0.0-8.fc28                        rawhide                        6.5 M
 hugin-base                        x86_64                        2017.0.0-8.fc28                        rawhide                        6.4 M

Transaction Summary
=============================================================================================================================================
Upgrade  2 Packages

Total download size: 13 M
Downloading Packages:
(1/2): hugin-2017.0.0-8.fc28.x86_64.rpm                                                                      793 kB/s | 6.5 MB     00:08    
(2/2): hugin-base-2017.0.0-8.fc28.x86_64.rpm                                                                 674 kB/s | 6.4 MB     00:09    
---------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                        1.3 MB/s |  13 MB     00:10     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                     1/1 
  Upgrading        : hugin-base-2017.0.0-8.fc28.x86_64                                                                                   1/4 
  Running scriptlet: hugin-base-2017.0.0-8.fc28.x86_64                                                                                   1/4 
  Upgrading        : hugin-2017.0.0-8.fc28.x86_64                                                                                        2/4 
  Cleanup          : hugin-2017.0.0-5.fc27.x86_64                                                                                        3/4 
  Running scriptlet: hugin-2017.0.0-5.fc27.x86_64                                                                                        3/4 
  Cleanup          : hugin-base-2017.0.0-5.fc27.x86_64                                                                                   4/4 
  Running scriptlet: hugin-base-2017.0.0-5.fc27.x86_64                                                                                   4/4 
Unknown media type in type 'chemical/x-alchemy'
Unknown media type in type 'chemical/x-cache'
Unknown media type in type 'chemical/x-cactvs-ascii'
Unknown media type in type 'chemical/x-cactvs-binary'
Unknown media type in type 'chemical/x-cactvs-table'
Unknown media type in type 'chemical/x-cdx'
Unknown media type in type 'chemical/x-cdxml'
Unknown media type in type 'chemical/x-chem3d'
Unknown media type in type 'chemical/x-cif'
Unknown media type in type 'chemical/x-cml'
Unknown media type in type 'chemical/x-daylight-smiles'
Unknown media type in type 'chemical/x-dmol'
Unknown media type in type 'chemical/x-gamess-input'
Unknown media type in type 'chemical/x-gamess-output'
Unknown media type in type 'chemical/x-gaussian-input'
Unknown media type in type 'chemical/x-gaussian-log'
Unknown media type in type 'chemical/x-genbank'
Unknown media type in type 'chemical/x-gulp'
Unknown media type in type 'chemical/x-hin'
Unknown media type in type 'chemical/x-inchi'
Unknown media type in type 'chemical/x-inchi-xml'
Unknown media type in type 'chemical/x-jcamp-dx'
Unknown media type in type 'chemical/x-macromodel-input'
Unknown media type in type 'chemical/x-mdl-molfile'
Unknown media type in type 'chemical/x-mdl-rdfile'
Unknown media type in type 'chemical/x-mdl-rxnfile'
Unknown media type in type 'chemical/x-mdl-sdfile'
Unknown media type in type 'chemical/x-mdl-tgf'
Unknown media type in type 'chemical/x-mmcif'
Unknown media type in type 'chemical/x-mol2'
Unknown media type in type 'chemical/x-mopac-graph'
Unknown media type in type 'chemical/x-mopac-input'
Unknown media type in type 'chemical/x-mopac-out'
Unknown media type in type 'chemical/x-msi-car'
Unknown media type in type 'chemical/x-msi-hessian'
Unknown media type in type 'chemical/x-msi-mdf'
Unknown media type in type 'chemical/x-msi-msi'
Unknown media type in type 'chemical/x-ncbi-asn1'
Unknown media type in type 'chemical/x-ncbi-asn1-binary'
Unknown media type in type 'chemical/x-ncbi-asn1-xml'
Unknown media type in type 'chemical/x-pdb'
Unknown media type in type 'chemical/x-shelx'
Unknown media type in type 'chemical/x-turbomole-basis'
Unknown media type in type 'chemical/x-turbomole-control'
Unknown media type in type 'chemical/x-turbomole-coord'
Unknown media type in type 'chemical/x-turbomole-grad'
Unknown media type in type 'chemical/x-turbomole-scfmo'
Unknown media type in type 'chemical/x-turbomole-vibrational'
Unknown media type in type 'chemical/x-vmd'
Unknown media type in type 'chemical/x-xyz'
Error in file "/usr/share/applications/org.kde.kfontview.desktop": "font/otf" is an invalid MIME type ("font" is an unregistered media type)
Error in file "/usr/share/applications/org.kde.kfontview.desktop": "font/ttf" is an invalid MIME type ("font" is an unregistered media type)
Running as unit: run-ra39a2e5adaf24b95afaa02ebe3980419.service
Error in file "/usr/share/applications/org.kde.kfontview.desktop": "font/otf" is an invalid MIME type ("font" is an unregistered media type)
Error in file "/usr/share/applications/org.kde.kfontview.desktop": "font/ttf" is an invalid MIME type ("font" is an unregistered media type)
Running as unit: run-r102276696f2e4fbe9b80e6d991db4cd0.service
  Verifying        : hugin-2017.0.0-8.fc28.x86_64                                                                                        1/4 
  Verifying        : hugin-base-2017.0.0-8.fc28.x86_64                                                                                   2/4 
  Verifying        : hugin-base-2017.0.0-5.fc27.x86_64                                                                                   3/4 
  Verifying        : hugin-2017.0.0-5.fc27.x86_64                                                                                        4/4 

Upgraded:
  hugin.x86_64 2017.0.0-8.fc28                                       hugin-base.x86_64 2017.0.0-8.fc28                                      

Complete!

Comment 1 Bruno Postle 2018-02-03 21:07:51 UTC
Possibly this is related to a recent change:

Remove obsolete scriptlets
https://src.fedoraproject.org/rpms/hugin/c/69ef65ee0fcd3233b7db36243721c55422da9272?branch=master

Comment 2 Igor Gnatenko 2018-02-03 21:12:35 UTC
(In reply to Bruno Postle from comment #1)
> Possibly this is related to a recent change:
> 
> Remove obsolete scriptlets
> https://src.fedoraproject.org/rpms/hugin/c/
> 69ef65ee0fcd3233b7db36243721c55422da9272?branch=master

Totally unrelated, fix your desktop file ;)

Comment 3 Filipe Rosset 2018-02-03 22:59:21 UTC
rpm -qf /usr/share/applications/org.kde.kfontview.desktop
plasma-desktop-5.11.95-1.fc28.x86_64

Comment 4 Rex Dieter 2018-02-03 23:10:46 UTC
Except the old calls per
https://fedoraproject.org/w/index.php?title=Packaging:Scriptlets&oldid=494574#desktop-database

was supposed to redirect output to /dev/null

So, yes related.  The scriptlets should not show any output.

Comment 6 Fedora End Of Life 2018-02-20 15:30:30 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 7 Christian Stadelmann 2018-03-07 10:31:39 UTC
I guess this bug report is just about these lines, as the rest is unrelated to plasma-desktop:

> Error in file "/usr/share/applications/org.kde.kfontview.desktop": "font/otf" is an invalid MIME type ("font" is an unregistered media type)
> Error in file "/usr/share/applications/org.kde.kfontview.desktop": "font/ttf" is an invalid MIME type ("font" is an unregistered media type)

These are also present on Fedora 27 with plasma-desktop-5.12.2-1.fc27.x86_64, almost every time I install, update or remove a package.

Comment 8 Fedora Update System 2018-03-07 15:43:23 UTC
desktop-file-utils-0.23-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1e573d9d7

Comment 9 Fedora Update System 2018-03-07 15:44:37 UTC
desktop-file-utils-0.23-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f0f2805f1

Comment 10 Fedora Update System 2018-03-07 15:45:59 UTC
shared-mime-info-1.9-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-975e9f8b47

Comment 11 Rex Dieter 2018-03-07 15:59:53 UTC
In the case of font/ttf, that appears to be valid and included in shared-mime-info's freedesktop.org.xml, so update-desktop-database is incorrectly warnings about it.

As for chemical/ , that's up to maintainers of chemical-mime-data ultimately (bug #1336932)

Comment 12 Fedora Update System 2018-03-08 16:19:58 UTC
desktop-file-utils-0.23-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c1e573d9d7

Comment 13 Fedora Update System 2018-03-08 16:20:05 UTC
shared-mime-info-1.9-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-975e9f8b47

Comment 14 Fedora Update System 2018-03-08 16:27:53 UTC
desktop-file-utils-0.23-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1f0f2805f1

Comment 15 Rex Dieter 2018-03-15 15:52:25 UTC
*** Bug 1556716 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2018-03-20 17:30:59 UTC
desktop-file-utils-0.23-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-03-20 18:14:22 UTC
desktop-file-utils-0.23-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-03-20 18:14:28 UTC
shared-mime-info-1.9-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Adam Williamson 2018-04-09 21:46:48 UTC
Was silencing these really the right answer? They're valid errors (the font one was not invalid, see https://bugzilla.redhat.com/show_bug.cgi?id=1564650 and https://bugs.freedesktop.org/show_bug.cgi?id=105785 ).

Comment 20 Rex Dieter 2018-04-10 00:43:53 UTC
Yes, package scriptlets should be silent.  Nice to see desktop-file-utils was fixed properly to recognize the new font/ mimetypes though.

Comment 21 Adam Williamson 2018-04-10 03:19:43 UTC
"Yes, package scriptlets should be silent."

I don't really agree, and the guidelines don't say so anywhere I can see. They say scriptlets must exit 0, not that they must be silent. When scriptlets hide errors, I mean...we don't know that they're failing. That's surely not a good thing.

I can see the argument for hiding errors that you *know* are going to happen sometimes - like if you know this scriptlet might attempt to run when some dependency is missing, and it's fine if it just fails in that case - but otherwise, I don't think 'they should be silent' is a good rule.

Still, it'd be more appropriate to discuss on a list or something, I guess.


Note You need to log in before you can comment on or make changes to this bug.